:root {
    --sm-orange: #f89520;
    --sm-dark: #343a40;
    --sidebar-width: 240px;
}

/* === FONDO NARANJA GENERAL === */
.layout-nav {
    background-color: var(--sm-orange);
}

/* === SIDEBAR === */
.sidebar {
    width: 240px;
    background-color: var(--sm-orange);
    color: white;
    width: var(--sidebar-width);
    left: 0;
    top: 0;
    background: #f89520;
    z-index: 1000;
}

.app-logo {
    display: block;
    
    height: auto;
    max-height: 70px;
    object-fit: contain;
    margin: 0 auto;
}

    video {
        transform: inherit !important;
        max-width: 100%;
    }


.sidebar .nav-link {
    color: white;
    font-size: 1.4rem;
    font-weight: 600;
}

.sidebar .nav-link:hover,
.sidebar .nav-link.active {
    background-color: rgba(0, 0, 0, 0.15);
}

/* === CONTENIDO === */
.content-wrapper {
    margin-left: 240px;
    min-height: 100vh;
    padding: 20px;
    background-color: #f8f9fa;
}

/* Evita herencia rara */
.content-wrapper * {
    color: #212529;
}

/* Card de scanner */
.card.border-left-primary {
    border-left: 0.25rem solid #f89520 !important; /* naranja */
}

.card-header.bg-orange {
    background-color: #f89520;
}

#preview {
    width: 100%;
    max-width: 400px;
    border: 5px solid #f89520;
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    margin: 0 auto;
}


.titulo-food{
    color:#f89520;
    font-weight:1000;
    font-size:4rem;
    margin:0;
}

/* Tablet */
@media (max-width: 991px){
    .titulo-almuerzos{
        font-size:2.5rem;
    }
}

/* Móvil */
@media (max-width: 576px){
    .titulo-almuerzos{
        font-size:2rem;
    }
}

#qr-reader{
    width:100%;
    max-width:100%;
}

@media (max-width:991px){
    #qr-reader{
        max-width:500px;
    }
}
.contador-uniforms {
display: flex;
align-items: center;
justify-content: center;
animation: fadeIn 0.8s ease-out; /* Animación de entrada */
}

.numero-contador {
font-weight: 900;
letter-spacing: -2px;
text-shadow: 2px 2px 10px rgba(0,0,0,0.1);
}

.icono-contador {
filter: drop-shadow(2px 4px 6px rgba(0,0,0,0.1));
transition: transform 0.3s ease;
}

/* Efecto visual al pasar el mouse */
.card-orange:hover .icono-contador {
transform: scale(1.1) rotate(5deg);
}